From 02e60a9bac46ea4a65bf20eb244f15abec3de790 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: May 27 2024 23:08:37 +0000
Subject: [PATCH 163/220] fix: source from the repo


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index ce4a0bd..bd9a486 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -41,17 +41,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 
 URL:            https://github.com/pop-os/cosmic-applibrary
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-app-library-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-app-library-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-applibrary/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-applibrary at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 9b5c432..b7b326b 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -37,17 +37,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 
 URL:            https://github.com/pop-os/cosmic-applets
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-applets-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-applets-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-applets/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-applets at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 Patch: better_compile.patch
 Patch: symlink.patch
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index d2e7cef..d58e5ed 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -31,17 +31,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 OR MIT AND Apache-2.0 W
 
 URL:            https://github.com/pop-os/cosmic-bg
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-bg-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-bg-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-bg/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-bg at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index f69e36b..6fe218b 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -42,17 +42,14 @@ License:        GPL-3.0 AND (Apache-2.0 OR MIT) AND BSD-3-Clause AND 0BSD OR MIT
 
 URL:            https://github.com/pop-os/cosmic-comp
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-comp-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-comp-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-comp/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-comp at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index c815c6a..a1565ab 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -45,17 +45,14 @@ License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND 0BSD OR MIT OR Apache-2
 
 URL:            https://github.com/pop-os/cosmic-edit
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-edit-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-edit-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-edit/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-edit at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 3171636..b596ef7 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -44,17 +44,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 
 URL:            https://github.com/pop-os/cosmic-files
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-files-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-files-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-files/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-files at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 4719823..6b95235 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -38,17 +38,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 
 URL:            https://github.com/pop-os/cosmic-greeter
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-greeter-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-greeter-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-greeter/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-greeter at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 Patch:          service.patch
 
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 06d8d39..80a2352 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -44,17 +44,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 
 URL:            https://github.com/pop-os/cosmic-launcher
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-launcher-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-launcher-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-launcher/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-launcher at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index f09a4b5..e1111d9 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -39,17 +39,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSD-3
 
 URL:            https://github.com/pop-os/cosmic-notifications
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-notifications-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-notifications-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-notifications/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-notifications at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index a18f142..bfb4a96 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -42,17 +42,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 
 URL:            https://github.com/pop-os/cosmic-osd
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-osd-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-osd-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-osd/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-osd at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 2777aad..031fe59 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -36,17 +36,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSD-3
 
 URL:            https://github.com/pop-os/cosmic-panel
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-panel-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-panel-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-panel/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-panel at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index cc7be4e..ff213bd 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -28,17 +28,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 
 URL:            https://github.com/pop-os/cosmic-randr
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-randr-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-randr-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-randr/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-randr at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index c76aeeb..c85b9db 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -32,17 +32,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 OR MIT AND Apache-2.0 W
 
 URL:            https://github.com/pop-os/cosmic-screenshot
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-screenshot-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-screenshot-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-screenshot/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-screenshot at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index 0a9a07f..3ea39fd 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -36,17 +36,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 OR BSD-3-Clause AND Apa
 
 URL:            https://github.com/pop-os/cosmic-session
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-session-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-session-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-session/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-session at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index 89456d2..f9ca209 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -41,17 +41,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 
 URL:            https://github.com/pop-os/cosmic-settings-daemon
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-settings-daemon-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-settings-daemon-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-settings-daemon/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-settings-daemon at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 7e02666..970084c 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -42,17 +42,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 
 URL:            https://github.com/pop-os/cosmic-settings
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-settings-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-settings-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-settings/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-settings at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 79ebd8a..8e8ed39 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -40,17 +40,14 @@ License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND 0BSD OR MIT OR Apache-2
 
 URL:            https://github.com/pop-os/cosmic-store
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-store-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-store-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-store/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-store at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 25
 BuildRequires:  rustc
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index 513b173..70981ab 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -44,17 +44,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR BSL-1
 
 URL:            https://github.com/pop-os/cosmic-term
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-term-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-term-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-term/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-term at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index c23318f..41c3de1 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -42,17 +42,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 
 URL:            https://github.com/pop-os/cosmic-workspaces-epoch
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         cosmic-workspaces-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         cosmic-workspaces-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/cosmic-workspaces-epoch/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/cosmic-workspaces-epoch at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index ce2efed..6db13e6 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -37,17 +37,14 @@ License:        (Apache-2.0 OR MIT) AND BSD-3-Clause AND Apache-2.0 AND Apache-2
 
 URL:            https://github.com/pop-os/launcher
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         pop-launcher-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         pop-launcher-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/launcher/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/launcher at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 Patch:          symlink.patch
 
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index cb90afd..9bc8ed2 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -42,17 +42,14 @@ License:        0BSD OR MIT OR Apache-2.0 AND Apache-2.0 AND Apache-2.0 OR MIT A
 
 URL:            https://github.com/pop-os/xdg-desktop-portal-cosmic
 
-# To create these sources:
-# * git clone the repository
-# * cargo vendor > .vendor/config.toml
-# * rm -rf vendor
-# * tar -pcJf $name-$commit.tar.xz
-Source:         xdg-desktop-portal-cosmic-%{commit}.tar.xz
-# To create the vendor tarball:
-# * git clone the repository
-# * cargo vendor
-# * tar -pcJf $name-$commit-vendor.tar.xz
-Source:         xdg-desktop-portal-cosmic-%{commit}-vendor.tar.xz
+Source:         https://github.com/pop-os/xdg-desktop-portal-cosmic/archive/%{commit}.tar.gz
+# To create the below sources:
+# * git clone https://github.com/pop-os/xdg-desktop-portal-cosmic at the specified commit
+# * cargo vendor > vendor-config.toml
+# * tar -pczf vendor.tar.gz vendor
+Source:         vendor.tar.gz
+# * mv vendor-config.toml ..
+Source:         vendor-config.toml
 
 BuildRequires:  cargo-rpm-macros >= 26
 BuildRequires:  rustc

